IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Lazarus Pascal Discussion :

Sortie de la version 2.0.10 de l'EDI multiplateforme Lazarus, Free Pascal 3.2 sert de compilateur


Sujet :

Lazarus Pascal

  1. #21
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Bonjour,

    retour d'expérience sur une (tentative d') install du couple FPC/Laz en utilisant l'outil FPCUP-Deluxe récupéré en suivant cette url trouvée quelque part sur le forum, dans ma toute nouvelle machine avec une toute belle Debian 10.4 / 64 bits.

    Tout d'abord, le bouton en haut à gauche est labellé "Set InstallDir" et fonctionne comme un "Select InstallDir" (un browser, quoi) : perturbant.

    Ensuite, après avoir bien bien lu le début du tuto, j'ai choisi mon CPU et mon OS puis j'ai bêtement cliqué sur "Stable", ça a mis un peu de temps (je n'ai pas la fibre, hélas) et à la fin, je me suis pris, dans la fenêtre en bas à droite :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    fpcupdeluxe: Start of compile error summary.
    fpcupdeluxe: ERROR: Missing library:
    fpcupdeluxe: Start of compile error summary.
    fpcupdeluxe: ERROR: libX11.so
    fpcupdeluxe: Start of compile error summary.
    fpcupdeluxe: ERROR: libgdk_pixbuf-2.0.so
    fpcupdeluxe: Start of compile error summary.
    fpcupdeluxe: ERROR: libpango-1.0.so
    fpcupdeluxe: Start of compile error summary.
    fpcupdeluxe: ERROR: libgdk-x11-2.0.so
    fpcupdeluxe: WARNING: You need to install at least libx11-dev libgtk2.0-dev libcairo2-dev libpango1.0-dev libxtst-dev libgdk-pixbuf2.0-dev libatk1.0-dev libghc-x11-dev to build Lazarus !!
    fpcupdeluxe: WARNING: Make, binutils, subversion/svn [and gdb] are also required !!
    C'est quoi ces messages d'erreurs à la noix ? J'aurais préféré lire :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    fpcupdeluxe: Start of compile error summary.
    fpcupdeluxe: ERROR: Missing library: libX11.so
    fpcupdeluxe: ERROR: Missing library: libgdk_pixbuf-2.0.so
    fpcupdeluxe: ERROR: Missing library: libpango-1.0.so
    fpcupdeluxe: ERROR: Missing library: libgdk-x11-2.0.so
    fpcupdeluxe: WARNING: You need to install at least libx11-dev libgtk2.0-dev libcairo2-dev libpango1.0-dev libxtst-dev libgdk-pixbuf2.0-dev libatk1.0-dev libghc-x11-dev to build Lazarus !!
    et la dernière ligne montre 8 packages, or 4 seulement sont listés en ERROR -- pas clair.
    Et l'outil n'est pas capable de les installer ? Il aurait dû s'arrêter, alors, au lieu d'aller au bout de la procédure.

    Il y a ça, aussi : fpcupdeluxe: WARNING: Make, binutils, subversion/svn [and gdb] are also required !! Euh, ceux-là je les ai déjà (sauf gdb -- je m'y colle), alors sans plus d'infos c'est pas compréhensible.


    Bref, je vais installer ce qui manque à la mano mais je ne suis pas convaincu par ce premier contact, d'autant que la fenêtre en technicolor (quelle horreur pour trouver des infos) me sort quand même :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    /usr/bin/ld: cannot find -lgdk-x11-2.0
    /usr/bin/ld: cannot find -lX11
    /usr/bin/ld: cannot find -lgdk_pixbuf-2.0
    /usr/bin/ld: cannot find -lgtk-x11-2.0
    /usr/bin/ld: cannot find -lgobject-2.0
    /usr/bin/ld: cannot find -lglib-2.0
    /usr/bin/ld: cannot find -lgthread-2.0
    /usr/bin/ld: cannot find -lgmodule-2.0
    /usr/bin/ld: cannot find -lpango-1.0
    /usr/bin/ld: cannot find -lcairo
    /usr/bin/ld: cannot find -latk-1.0
    /usr/bin/ld: cannot find -lpangocairo-1.0
    12 lignes.
    Alors il en manque 4, 8 ou 12, des paquets/librairies/whatever ?

    Mais ensuite, je regarde un peu l'interface et tout en haut dans les TEdit du centre et de droite je remarque
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    https://svn.freepascal.org/svn/fpc/tags/release_3_0_4
    et
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    https://svn.freepascal.org/svn/lazarus/tags/lazarus_1_8_2
    C'est ça les dernières stables ? Une Laz 1.8, un FPC 3.0 ? On marche pas sur la tête, là ?

    Bref, je vais installer les machins système manquants (ça je sais faire) mais pour le reste, je suis plus que perplexe et ne sais pas trop quoi faire, à part supprimer le dossier d'install qui contient maintenant 1,4 Go de datas inutilisables.
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  2. #22
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 878
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 878
    Points : 4 260
    Points
    4 260
    Billets dans le blog
    2
    Par défaut
    Salut

    Citation Envoyé par Jipété Voir le message
    Bonjour,

    retour d'expérience sur une (tentative d') install du couple FPC/Laz en utilisant l'outil FPCUP-Deluxe récupéré en suivant cette url trouvée quelque part sur le forum, dans ma toute nouvelle machine avec une toute belle Debian 10.4 / 64 bits.

    Tout d'abord, le bouton en haut à gauche est labellé "Set InstallDir" et fonctionne comme un "Select InstallDir" (un browser, quoi) : perturbant.

    C'est quoi ces messages d'erreurs à la noix ? J'aurais préféré lire :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    fpcupdeluxe: Start of compile error summary.
    fpcupdeluxe: ERROR: Missing library: libX11.so
    fpcupdeluxe: ERROR: Missing library: libgdk_pixbuf-2.0.so
    fpcupdeluxe: ERROR: Missing library: libpango-1.0.so
    fpcupdeluxe: ERROR: Missing library: libgdk-x11-2.0.so
    fpcupdeluxe: WARNING: You need to install at least libx11-dev libgtk2.0-dev libcairo2-dev libpango1.0-dev libxtst-dev libgdk-pixbuf2.0-dev libatk1.0-dev libghc-x11-dev to build Lazarus !!
    Je suis d'accord avec toi les messages d'erreurs fournis par FPCUpDeluxe sont une horreur.
    C'est un problème avec certaine distro Linux (comme Debian, qui est brut de décoffrage, il faut installer toutes les dépendances) C'est pour ça que j'aime bien Manjaro, tu te prend pas la tête et les dépots sont à jour

    Citation Envoyé par Jipété Voir le message
    Ensuite, après avoir bien bien lu le début du tuto, j'ai choisi mon CPU et mon OS puis j'ai bêtement cliqué sur "Stable",
    Avec cette dernière version l'onglet "Cross" est là pour ajouter d'autres version de FPC pour faire de la "cross-compilation" donc pas besoin dans un premier temps.

    Citation Envoyé par Jipété Voir le message
    Bref, je vais installer ce qui manque à la mano mais je ne suis pas convaincu par ce premier contact, d'autant que la fenêtre en technicolor (quelle horreur pour trouver des infos) me sort quand même :
    Ouep également d'accord avec toi les couleurs sont horribles et ne sont pas très cohérentes aussi de mon point de vue.


    Citation Envoyé par Jipété Voir le message
    Mais ensuite, je regarde un peu l'interface et tout en haut dans les TEdit du centre et de droite je remarque
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    https://svn.freepascal.org/svn/fpc/tags/release_3_0_4
    et
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    https://svn.freepascal.org/svn/lazarus/tags/lazarus_1_8_2
    C'est ça les dernières stables ? Une Laz 1.8, un FPC 3.0 ? On marche pas sur la tête, là ?
    C'est surprenant ça et lorsque tu choisis "Stable.git" ça donne quoi ?

    Nom : 2020-08-08_145005.jpg
Affichages : 380
Taille : 48,9 Ko

    Et dans les dépôt de Debian c'est quoi la dernière version de Lazarus ?

    Citation Envoyé par Jipété Voir le message
    Bref, je vais installer les machins système manquants (ça je sais faire) mais pour le reste, je suis plus que perplexe et ne sais pas trop quoi faire, à part supprimer le dossier d'install qui contient maintenant 1,4 Go de datas inutilisables.
    Oui, il te suffit juste de supprimer le dossier que tu as choisis pour l'installation car tout est mis dedans concernant FPC et Lazarus. Fichiers de configs et tout le "toin-toin".

    Sinon pourquoi ne pas essayer d'installer Lazarus directement avec les fichiers DEB ?

    Dans cet ordre :
    1) fpc-src_3.2.0-1_amd64.deb
    2) fpc-laz_3.2.0-1_amd64.deb
    3) lazarus-project_2.0.10-0_amd64.deb


    A+
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  3. #23
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Merci d'avoir pris le temps de répondre.

    Citation Envoyé par BeanzMaster Voir le message
    Avec cette dernière version l'onglet "Cross" est là pour ajouter d'autres version de FPC pour faire de la "cross-compilation" donc pas besoin dans un premier temps.
    Je n'ai pas d'onglet "Cross" (et heureusement car je n'ai pas compris ta réponse).

    Citation Envoyé par BeanzMaster Voir le message
    C'est surprenant ça et lorsque tu choisis "Stable.git" ça donne quoi ?
    En fait j'ai l'impression qu'on n'a pas la même version de l'outil (et ça, àmha c'est dramatique), la preuve, chez moi les listboxes FPC version et Lazarus version sont au-dessus l'une de l'autre alors que toi tu les présentes côte à côte...

    Et tu nous montres les lignes stable et stable.git l'une au-dessous de l'autre mais moi, les lignes .git je ne les ai pas !

    Et en examinant ta copie d'écran bien bien, toi tu es en 1.8 et moi en 1.6 : on ne risque pas de se comprendre...

    Citation Envoyé par BeanzMaster Voir le message
    Et dans les dépôts de Debian c'est quoi la dernière version de Lazarus ?
    2.0

    Citation Envoyé par BeanzMaster Voir le message
    Parce que j'avais l'impression que plein de gens se simplifiaient la vie avec FPCUP-deluxe, et que ça faisait plus de 15 ans que j'installais avec les .deb, alors envie de changer un peu.

    Bah, je virerai tout et verrai l'install avec les .deb ce soir ou demain.
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  4. #24
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 878
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 878
    Points : 4 260
    Points
    4 260
    Billets dans le blog
    2
    Par défaut
    Citation Envoyé par Jipété Voir le message
    Merci d'avoir pris le temps de répondre.


    Je n'ai pas d'onglet "Cross" (et heureusement car je n'ai pas compris ta réponse).


    En fait j'ai l'impression qu'on n'a pas la même version de l'outil (et ça, àmha c'est dramatique), la preuve, chez moi les listboxes FPC version et Lazarus version sont au-dessus l'une de l'autre alors que toi tu les présentes côte à côte...

    Et tu nous montres les lignes stable et stable.git l'une au-dessous de l'autre mais moi, les lignes .git je ne les ai pas !

    Et en examinant ta copie d'écran bien bien, toi tu es en 1.8 et moi en 1.6 : on ne risque pas de se comprendre...
    Pas de soucis
    Donc normal, les erreurs, la dernière version de FPCUpDeluxe est bien la 1.8 et le lien donné renvois bien vers celle-ci.
    Tu as choisis la 1.6 par mégarde, ou par rapport au tuto ?

    Citation Envoyé par Jipété Voir le message
    Parce que j'avais l'impression que plein de gens se simplifiaient la vie avec FPCUP-deluxe, et que ça faisait plus de 15 ans que j'installais avec les .deb, alors envie de changer un peu.
    Oui FPCUpDeluxe est très souvent utilisé sous Linux, car l'installation via les DEB était souvent foireuse suivant les distros. Et FPCUpDeluxe est aussi utilisée car la majorité des distros non pas des dépôts à jour. Par exemple avec Manjaro la dernière verson de Lazarus est dispo dans les dépôt dans les 15 jours qui suivent la sortie.
    Et surtout FPCUpDeluxe permet d'installer des versions secondaire de Lazarus très facilement.

    A+
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  5. #25
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Citation Envoyé par BeanzMaster Voir le message
    Donc normal, les erreurs, la dernière version de FPCUpDeluxe est bien la 1.8 et le lien donné renvoie bien vers celle-ci.

    Et un mystère de plus, un…

    Citation Envoyé par BeanzMaster Voir le message
    Tu as choisi la 1.6 par mégarde, ou par rapport au tuto ?
    J'ai suivi ton tuto, je me suis concentré sur ce point et quand je mets la souris sur les liens de DL, je vois bien écrit .../download/v1.6.0o/... pour les 4 liens (2 Windows 2 Linux)

    Et pour confirmer, j'ai bien la même interface que la copie d'écran qui clôture le chapitre du tuto dont j'ai donné le lien + haut, soit une version 1.6.

    Citation Envoyé par BeanzMaster Voir le message
    Et FPCUpDeluxe est aussi utilisée car la majorité des distros n'ont pas des dépôts à jour. Par exemple avec Manjaro la dernière version de Lazarus est dispo dans les dépôts dans les 15 jours qui suivent la sortie.
    C'est cet aspect qui m'intéresse, la facilité de mise à jour sans passer par les contraintes des .deb.
    Bon, je peux patienter un jour ou deux, le temps que cet embrouillamini s'éclaircisse.


    Citation Envoyé par BeanzMaster Voir le message
    Et surtout FPCUpDeluxe permet d'installer des versions secondaire de Lazarus très facilement.
    Une seule me suffira, si tant est qu'on y arrive,
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  6. #26
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 878
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 878
    Points : 4 260
    Points
    4 260
    Billets dans le blog
    2
    Par défaut
    Citation Envoyé par Jipété Voir le message

    Et un mystère de plus, un…



    J'ai suivi ton tuto, je me suis concentré sur ce point et quand je mets la souris sur les liens de DL, je vois bien écrit .../download/v1.6.0o/... pour les 4 liens (2 Windows 2 Linux)

    Et pour confirmer, j'ai bien la même interface que la copie d'écran qui clôture le chapitre du tuto dont j'ai donné le lien + haut, soit une version 1.6.
    Ha, ben oui en fait pour la dernière version c'est le lien github juste au dessus


    Citation Envoyé par Jipété Voir le message
    C'est cet aspect qui m'intéresse, la facilité de mise à jour sans passer par les contraintes des .deb.
    Bon, je peux patienter un jour ou deux, le temps que cet embrouillamini s'éclaircisse.
    L'avantage avec FPCUpDeluxe c'est que pour la désinstallation c'est facile, il suffit de supprimer le dossier et le lien créé sur le bureau

    A+
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  7. #27
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Citation Envoyé par BeanzMaster Voir le message
    Ha, ben oui en fait pour la dernière version c'est le lien github juste au dessus
    Bien noté mais pas pour ce soir : là j'en ai ma claque,

    Citation Envoyé par BeanzMaster Voir le message
    L'avantage avec FPCUpDeluxe c'est que pour la désinstallation c'est facile, il suffit de supprimer le dossier et le lien créé sur le bureau
    Merci pour cette dernière précision (incroyable mais vrai : j'ai beaucoup lu à propos du raccourci sans que jamais on me dise il était créé -- j'ai enfin l'explication).
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  8. #28
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Bonjour,

    avec une bonne version de l'outil, tout s'est bien passé, voilà une bonne nouvelle.

    La mauvaise, c'est que l'EDI Lazarus est toujours aussi m3rd1qu3, au niveau de la gestion des composants installés (alors que signalé il y a très longtemps), et toujours pas moyen de supprimer des choses qui ne me seront strictement d'aucune utilité.
    Pour le vérifier, clic-droit sur un onglet genre Data Controls et Options, et vous avez ça :
    Nom : options_edi.png
Affichages : 380
Taille : 87,8 Ko

    Je trouve ça complètement dingue et à la limite de tout passer par la fenêtre.

    Franchement du foutage de gueule, sans compter que quand on clique sur un item d'une listbox, la ligne passe en surbrillance et plus moyen de savoir de quoi il est question -- mais ça, c'est peut-être lié à Linux (oui, j'ai remarqué qu'en 7 ans la qualité s'est là aussi dégradée, hélas…)

    Bon dimanche quand même, mais très très très déçu de cette nouvelle version qui ne m'apporte rien.
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  9. #29
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 878
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 878
    Points : 4 260
    Points
    4 260
    Billets dans le blog
    2
    Par défaut
    Citation Envoyé par Jipété Voir le message
    Bonjour,

    avec une bonne version de l'outil, tout s'est bien passé, voilà une bonne nouvelle.

    La mauvaise, c'est que l'EDI Lazarus est toujours aussi m3rd1qu3, au niveau de la gestion des composants installés (alors que signalé il y a très longtemps), et toujours pas moyen de supprimer des choses qui ne me seront strictement d'aucune utilité.
    Pour le vérifier, clic-droit sur un onglet genre Data Controls et Options, et vous avez ça :

    Je trouve ça complètement dingue et à la limite de tout passer par la fenêtre.

    Franchement du foutage de gueule, sans compter que quand on clique sur un item d'une listbox, la ligne passe en surbrillance et plus moyen de savoir de quoi il est question -- mais ça, c'est peut-être lié à Linux (oui, j'ai remarqué qu'en 7 ans la qualité s'est là aussi dégradée, hélas…)

    Bon dimanche quand même, mais très très très déçu de cette nouvelle version qui ne m'apporte rien.
    Salut oui il y a encore quelques incoherences dans les options, ici et là mais bien moins qu'avant, pour cacher l'onglet tu as la checkbox en haut de la liste

    A+
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  10. #30
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Citation Envoyé par BeanzMaster Voir le message
    pour cacher l'onglet tu as la checkbox en haut de la liste
    Surtout pas, malheureux ! Ça va te masquer toutes les palettes de composants, même en ayant cliqué auparavant sur une entrée de la liste centrale (et donc pas sur <Tout>).

    Et pour les retrouver, c'est encore toute une histoire...

    Bref, j'ai déplacé les onglets inutiles (pour moi) au bout de la liste, et ce réglage a l'air de tenir.

    Quant aux bugs, celui-ci je ne pouvais pas le remonter, n'ayant qu'une machine jusqu'à présent (et pas eu l'idée de tester avec les machines virtuelles), il est donc présent dans la vieille 1.4 / 32 bits et se manifeste par l'oubli des paramètres d'activation des outils externes lors de l'exportation des données de config sous forme de fichier xml, et il est tout autant présent dans la toute dernière 2.0.10 sous Debian 10.4 / 64 bits...

    Et pour celui-là, il va y avoir du sport : menu Outils / Options et après quelques essais, la fenêtre s'affiche vide et ne répond plus, obligé de la tuer mais elle résiste, obligé de tuer l'EDI et donc, si modifs pas enregistrées, ben, adieu modifs...
    Je me déconnecte et me reconnecte, même topo ! Va-t-il falloir rebooter la machine comme au bon vieux temps de Windows 3.1 ? On croit rêver...
    EDIT : j'ai rebooté (avec un SSD c'est que du bonheur : 6 secondes !) mais pas de bol, le problème reste entier ! Alors arrêt complet (lamentable, un EDI comme ça) et re-test =
    Projet / Options du projet fonctionne bien
    Outils / Options --> fenêtre vide EDI planté.

    En désespoir de cause je tente une re-création de l'EDI, qui se passe bien, je ferme et je rouvre l'EDI, Outils / Options --> fenêtre vide EDI planté.

    Ben dis donc, il aura pas duré longtemps, ce 2.0.10...
    Vous me réveillez quand il y a une 2.0.12, que je teste comment c'est géré par fpcup ?
    Et il faudra m'expliquer, parce qu'en regardant l'interface de fpcup colonne Lazarus je vois, au milieu de tout un tas de choses, une ligne 2.0.11 et donc je la sélectionne et clique sur le bouton dessous "Laz only", ça fait le boulot, ça me dit que tout va bien, je relance l'EDI, "Aide / à propos" et je lis 2.0.10...
    Et bien sûr Outils / Options --> fenêtre vide EDI planté.

    Qu'est-ce que j'en ai marre de cette informatique "pieds nickelés"...
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  11. #31
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Bon, il semblerait que fpcup mette un peu sa pagaille dans les fichiers de conf', on ne sait pas trop où mais yakà lire le fichier fpc.sh qui traîne à côté de fpc et fpc.cfg pour se dire qu'il y a des choses pas nettes, en tout cas j'arrive à récupérer les options à condition de supprimer config_lazarus/environmentoptions.xml et de me taper une re-création.

    Sauf qu'elle patauge dans la semoule, avec un message plus que farfelu :
    Nom : fpc-cfg_manquant.png
Affichages : 387
Taille : 83,8 Ko

    et surtout, si je suis fpcup et rajoute ".sh" à la fin du binaire "fpc" (comme je l'ai découvert dans le fichier créé ce matin), ça trouve mais toute ma unit1 est grisée et impossible de bosser avec, et ggl n'est d'aucune utilité sur ce coup-là.
    (note : j'ai constaté des différences entre le fichier créé ce matin par fpcup et celui créé par Lazarus cet aprème : qui a raison ?)

    Une idée pour rattraper le coup sans me taper toute une réinstall ?
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  12. #32
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    En fait j'ai tout viré et réinstallé en faisant très attention à tout et ma foi, pour le moment ça tient.

    J'en ai profité pour installer OMP avec fpcup, ça l'a fait mais je ne suis pas allé plus loin : à voir à l'usage.

    Maintenant, j'avoue que l'ensemble me laisse une impression de fragile du côté de fpcup et de pas fini du côté de Lazarus : des trucs pas traduits, des trucs en double dans les options, des machins pas clairs du tout, toujours dans les options, et est-ce un problème Linux ou Lazarus mais je trouve le rendu des icônes de la palette des composants très moche : elles sont toutes collées on se croirait dans le tromé un vendredi à 18 h.
    Sans oublier cette histoire de palette de composants non modifiable.

    Plus tard les copies d'écran, là j'en ai vraiment ma claque.
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  13. #33
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 878
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 878
    Points : 4 260
    Points
    4 260
    Billets dans le blog
    2
    Par défaut
    Salut

    t'as vraiment pas de bol JP, quelques petites choses qui me viennent à l'esprit. Ces plantages de "fenêtre" me font penser à un conflit GTk3 vs GTk 2 ou dans le genre.
    L'installation via FPCUpDeluxe "à l'aire "bonne mais une dépendance d'une bibliothèque système est obsolète par rapport à une autre, ou il manque une bibliothèque de "dev", ou il y a vraiment un bug avec l'installation via FPCUpDeluxe

    Pour ma part, je tenterai une installation via les DEB, car si le problème vient d'une dépendances tu seras vite fixé. Car ce genre de truc FPCUpDeluxe ne doit pas correctment les détecter. ahma.

    A+
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  14. #34
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Bonjour,

    pour ne rien te cacher, je n'ai pas trop envie de me prendre la tête avec un produit final aussi mal f*** ; hier j'ai parlé de copies d'écran, en voici quelques unes, tu vas comprendre :

    d'abord constatation qu'au moins une traduction a été oubliée, dans la fenêtre Outils / Options / Fenêtre des messages en bas à droite, alors qu'au-dessus c'est correct dans l'éditeur de fiche.
    Nom : traduc_oubliée.jpg
Affichages : 540
Taille : 69,0 Ko

    Ce n'est pas dramatique mais ça montre une absence de relecture attentive.

    Ce qui l'est plus, dramatique, c'est la non-lisibilité des barres d'outils qui, empruntant ce flat design moche à souhait, se permet en plus d'ignorer les séparations entre les boutons, résultat à certains endroits de jolis pâtés infâmes et informes. Je vous laisse comparer avec le design de la 1.4 en haut, les barres "Additional" et "Commons Controls" :
    Nom : compar_2-barres-d-outils.jpg
Affichages : 562
Taille : 210,8 Ko

    Non mais vous avez vu, du côté de "za|La" tout en bas sous Dialogs, collé d'un côté aux onglets et de l'autre au TImageList ? Ils ont des yeux ceux qui inventent ça ? Ils pourraient au moins nous permettre d'adapter à nos goûts et nos envies, quoi !
    Et le fouillis sous Dialogs|System en haut, dans la barre "Additional" ? Sans commentaires.

    Enfin, une vue réduite à 50% de l'inspecteur d'objets à gauche où on ne peut pas lire le nom de l'objet (pb Linux ? Pb Lazarus ? Pour le moment je n'en sais rien mais je ne l'ai pas constaté dans d'autres progs) lorsque l'objet est sélectionné mais perd son focus et donc même topo au milieu avec la fenêtre des options (menu Outils / Options) (note : le rectangle presque noir en haut à droite c'est bêtement le fond d'écran) :
    Nom : b-d-d_identique.jpg
Affichages : 345
Taille : 69,7 Ko

    En haut j'ai choisi dans la liste Editeur des barres d'outils puis j'ai cliqué sur "Configurer" et une fenêtre secondaire s'est affichée "Configuration de la barre d'outils", fenêtre strictement identique si je choisis Barre de l'EDI sous Fenêtre (en bas).

    Je trouve tout ça navrant, et je ne parle pas de la palettes des composants, aussi nulle qu'à l'époque des versions 0.9.x ni de la complexité de certaines boîtes de dialogue, qui obligent à relire plusieurs fois le texte quand il serait si simple d'avoir des boutons "Oui, Non, Annuler" -- déjà signalé il y a loooongtemps, mais ça serait trop simple sans doute ?
    Menu Projet / Fermer le projet et on gagne :
    Nom : fermer_projet_par_menu.png
Affichages : 348
Taille : 16,3 Ko

    Si encore ce stupide "Ignorer les changements" avait été remplacé par un limpide "Ne pas enregistrer", ça aurait pu aller car ça aurait bien fonctionné avec les deux autres boutons, d'autant plus qu'en cliquant sur la croix de l'EDI, on retrouve le bon vieux dialogue classique :
    Nom : modif_oui-non-annuler.png
Affichages : 331
Taille : 13,3 Ko

    Quel manque de cohérence...

    Jérôme, je ne te demanderai qu'un truc : m'expliquer en 3 lignes ce qu'il faudra faire avec fpcup le jour où une 2.0.12 sortira. Merci,
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  15. #35
    Responsable Pascal, Lazarus et Assembleur


    Avatar de Alcatîz
    Homme Profil pro
    Ressources humaines
    Inscrit en
    mars 2003
    Messages
    7 815
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 55
    Localisation : Belgique

    Informations professionnelles :
    Activité : Ressources humaines
    Secteur : Service public

    Informations forums :
    Inscription : mars 2003
    Messages : 7 815
    Points : 57 083
    Points
    57 083
    Billets dans le blog
    2
    Par défaut
    Bonjour,

    Je compatis à ta souffrance face à tous ces problèmes rencontrés mais je m'interroge : pourquoi continuer à utiliser un produit dont tu es si mécontent ?
    Règles du forum
    Cours et tutoriels Pascal, Delphi, Lazarus et Assembleur
    Avant de poser une question, consultez les FAQ Pascal, Delphi, Lazarus et Assembleur
    Mes tutoriels et sources Pascal

    Le problème en ce bas monde est que les imbéciles sont sûrs d'eux et fiers comme des coqs de basse cour, alors que les gens intelligents sont emplis de doute. [Bertrand Russell]
    La tolérance atteindra un tel niveau que les personnes intelligentes seront interdites de toute réflexion afin de ne pas offenser les imbéciles. [Fiodor Mikhaïlovitch Dostoïevski]

  16. #36
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Yop !

    Citation Envoyé par Alcatîz Voir le message
    Je compatis à ta souffrance face à tous ces problèmes rencontrés mais je m'interroge : pourquoi continuer à utiliser un produit dont tu es si mécontent ?
    Parce que pour coder en Pascal sous Linux c'est ça ou rien (ou à la mano, avec juste un éditeur de texte : pas impossible mais très laborieux).

    Et j'avais fait un essai avec l'éditeur de FPC, qui ne m'avait pas du tout convaincu.

    Maintenant, pour rassurer tout le monde, je constate que Linux Debian suit le même chemin : ça se déglingue, par petits bouts, par ci par là : les versions évoluent, de plus en plus "améliorées" mais surtout de plus en plus "bling bling" et avec des gadgets qui n'apportent rien sinon une perte de temps, genre attendre qu'une infobulle apparaisse pour savoir ce qui se cache sous un bouton.
    Et quand elle n'apparait pas, ben, tu as perdu ton temps...

    EDIT
    Allez, vit' fait, un petit explorateur de fichiers avec juste un TShellTreeview et un TShellListview :

    en arrière-plan en haut l'explorateur natif de ma distrib, en avant-plan en bas la même chose avec Laz 2.0.10 et 0 code donc pas de tri alphabétique (on s'en fiche pour cette démo) :

    Nom : compar_explorer.png
Affichages : 2118
Taille : 98,9 Ko

    Dans les deux cas j'ai ouvert à gauche un dossier (le même) puis à droite j'ai sélectionné un fichier et force est de constater que le texte de l'objet sélectionné dans le Treeview devient illisible à la perte du focus.
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  17. #37
    Membre habitué

    Homme Profil pro
    retraité
    Inscrit en
    septembre 2006
    Messages
    62
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Gironde (Aquitaine)

    Informations professionnelles :
    Activité : retraité
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : septembre 2006
    Messages : 62
    Points : 127
    Points
    127
    Par défaut Entièrement d'accord
    Citation Envoyé par Alcatîz Voir le message
    Bonjour,

    Je compatis à ta souffrance face à tous ces problèmes rencontrés mais je m'interroge : pourquoi continuer à utiliser un produit dont tu es si mécontent ?
    Bonjour,
    Je suis d'accord avec Alcatiz,avec un produit aussi mauvais et surtout aussi cher que lazarus,il y a longtemps que je serais passé à autre chose.

  18. #38
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Citation Envoyé par microb Voir le message
    et surtout aussi cher que lazarus,
    Le temps c'est de l'argent dit le proverbe ; alors vu le temps que j'y ai consacré pour rien, crois-moi, je l'ai largement payé -- en temps, si ce n'est en espèces sonnantes et trébuchantes.

    Mais j'y pense, les remarques précédentes ont été écrites sous Windows ou sous Linux ? Merci de le préciser, car sans ce détail, les dites remarques n'ont aucun sens -- et donc aucune valeur.

    Un dernier point : je n'ai pas l'intention de jeter tous mes codes développés sous Delphi depuis… 1995 environ, il faudra donc que je me plie aux inconvénients de cet outil mal fichu.
    Et j'aurais préféré, plutôt que de l'ironie inutile, lire des commentaires m'expliquant par exemple où se cache le réglage permettant d'avoir des espacements corrects pour les boutons des barres d'outils.

    Citation Envoyé par microb Voir le message
    il y a longtemps que je serais passé à autre chose
    À quoi ?
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  19. #39
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 878
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 878
    Points : 4 260
    Points
    4 260
    Billets dans le blog
    2
    Par défaut
    Salut JP

    Je pense que tu ne dois pas tout mettre sur le dos de Lazarus ta distro Debian sur certain point y est surement pour quelque chose

    Je viens de mettre à jour Lazarus sous ma distro Manjaro

    Citation Envoyé par Jipété Voir le message
    Bonjour,

    pour ne rien te cacher, je n'ai pas trop envie de me prendre la tête avec un produit final aussi mal foutu ; hier j'ai parlé de copies d'écran, en voici quelques unes, tu vas comprendre :

    d'abord constatation qu'au moins une traduction a été oubliée, dans la fenêtre Outils / Options / Fenêtre des messages en bas à droite, alors qu'au-dessus c'est correct dans l'éditeur de fiche.
    Nom : traduc_oubliée.jpg
Affichages : 540
Taille : 69,0 Ko
    Oui c'est vrai mais on n'y va pas vraiment tous les jours ici pour changer les options. Ce n'est pas le GROS bug qui va tout faire foirer.

    Citation Envoyé par Jipété Voir le message
    Ce qui l'est plus, dramatique, c'est la non-lisibilité des barres d'outils qui, empruntant ce flat design moche à souhait, se permet en plus d'ignorer les séparations entre les boutons, résultat à certains endroits de jolis pâtés infâmes et informes. Je vous laisse comparer avec le design de la 1.4 en haut, les barres "Additional" et "Commons Controls" :
    Nom : compar_2-barres-d-outils.jpg
Affichages : 562
Taille : 210,8 Ko

    Non mais vous avez vu, du côté de "za|La" tout en bas sous Dialogs, collé d'un côté aux onglets et de l'autre au TImageList ? Ils ont des yeux ceux qui inventent ça ? Ils pourraient au moins nous permettre d'adapter à nos goûts et nos envies, quoi !
    Et le fouillis sous Dialogs|System en haut, dans la barre "Additional" ? Sans commentaires.
    Pour ce qui est de l'espacement entre les icones je suis d'accord. Pour l'icone du composant THeaderControl "Za|la" c'est clair elle est horrible, elle ressemble à rien.

    Voila à quoi ressemble l'IDE sous Manjaro (c'est vrai le look est mieux que ta Debian )

    Nom : Screenshot_20200811_192714.jpeg
Affichages : 572
Taille : 153,6 Ko

    Citation Envoyé par Jipété Voir le message
    Je trouve tout ça navrant, et je ne parle pas de la palettes des composants, aussi nulle qu'à l'époque des versions 0.9.x ni de la complexité de certaines boîtes de dialogue, qui obligent à relire plusieurs fois le texte quand il serait si simple d'avoir des boutons "Oui, Non, Annuler" -- déjà signalé il y a loooongtemps, mais ça serait trop simple sans doute ?
    Je suis d'accord aussi certaines boites de dialogue mériteraient d'être simplifier et se cantonner au "Oui", "Non", "Annuler".

    Gilles tu peux faire quelque chose dans ce sens avec les fichiers de traduction ?

    Il faut prendre en compte que les devs de Lazarus ne sont pas français donc dans leur langue cela ne les choque pas. Lazarus n'est pas le seul logiciel (même des payants) à avoir des messages sybilline de ce type.

    Citation Envoyé par Jipété Voir le message
    Allez, vit' fait, un petit explorateur de fichiers avec juste un TShellTreeview et un TShellListview :

    en arrière-plan en haut l'explorateur natif de ma distrib, en avant-plan en bas la même chose avec Laz 2.0.10 et 0 code donc pas de tri alphabétique (on s'en fiche pour cette démo) :

    Nom : compar_explorer.png
Affichages : 2118
Taille : 98,9 Ko
    Chez moi je n'ai pas ce problème

    Nom : Screenshot_20200811_192456.jpeg
Affichages : 559
Taille : 70,9 Ko

    Je pense que tu devrais vérifier les options de ton thème Debian, car le problème me semble venir de lui et non de Lazarus

    Je sais que tu es habitué à Debian, mais si tu en as marre de te prendre la tête je conseille vivement Manjaro c'est vraiment la meilleur Distro, et c'est un très bon compromis entre toute celle que j'ai essayé (Ubuntu, Fedora, Debian, Linux Mint. plus deux trois autres dont je ne me souvient plus du nom) Elle est simple et tu peux mettre la main dans le moteur si jamais pas comme Ubuntu (qui est pourrie). Et comme je l'ai déjà dit les mises à jour des dépôts sont là très rapidement (pas besoin d'attendre 2 ans)

    Citation Envoyé par Jipété Voir le message
    Jérôme, je ne te demanderai qu'un truc : m'expliquer en 3 lignes ce qu'il faudra faire avec fpcup le jour où une 2.0.12 sortira. Merci,
    0) tu supprimes l'ancien dossier d'installation si tu ne veux pas conserver cette version
    1) tu choisis un dossier d'installation (autre que l'ancien) si tu veux avoir plusieurs version de Lazarus installées ou tu sélectionnes celui-ci pour mettre à jour
    2) tu choisis les versions de fpc et lazarus à droite
    3) tu cliques sur Install/Update FPC+Laz (le gros bouton)

    voilà c'est tout

    A+
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  20. #40
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 755
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 755
    Points : 13 978
    Points
    13 978
    Par défaut
    Citation Envoyé par BeanzMaster Voir le message
    Oui c'est vrai mais on n'y va pas vraiment tous les jours ici pour changer les options. Ce n'est pas le GROS bug qui va tout faire foirer.
    J'ai bien dit que celui-là n'était pas dramatique, juste que ça montrait une absence de relecture attentive.


    Citation Envoyé par BeanzMaster Voir le message
    Pour ce qui est de l'espacement entre les icones je suis d'accord. Pour l'icone du composant THeaderControl "za|La" c'est clair elle est horrible, elle ressemble à rien.

    Voila à quoi ressemble l'IDE sous Manjaro (c'est vrai le look est mieux que ta Debian )

    Nom : Screenshot_20200811_192714.jpeg
Affichages : 572
Taille : 153,6 Ko
    Je ne vois pas de grosse différence : regarde l'écartement sous "Common" -- bon, ok, c'est un poil plus large que chez moi, mais entre za|La et le TImageList, c'est un peu pareil.


    Citation Envoyé par BeanzMaster Voir le message
    Chez moi je n'ai pas ce problème

    Nom : Screenshot_20200811_192456.jpeg
Affichages : 559
Taille : 70,9 Ko

    Je pense que tu devrais vérifier les options de ton thème Debian, car le problème me semble venir de lui et non de Lazarus
    On ne sait pas, tu n'as pas cliqué dans la ShellListView pour prendre le focus (et donc l'enlever du ShellTreeView), ce que j'ai fait et c'est à ce moment que le texte du nœud sélectionné perd le focus et devient illisible -- j'ai essayé plein d'options du STV (le temps que je perds...) sans arriver à rien.

    Citation Envoyé par BeanzMaster Voir le message
    Je sais que tu es habitué à Debian, mais si tu en as marre de te prendre la tête je conseille vivement Manjaro c'est vraiment la meilleur Distro, et c'est un très bon compromis entre toute celle que j'ai essayé (Ubuntu, Fedora, Debian, Linux Mint. plus deux trois autres dont je ne me souvient plus du nom) Elle est simple et tu peux mettre la main dans le moteur si jamais pas comme Ubuntu (qui est pourrie). Et comme je l'ai déjà dit les mises à jour des dépôts sont là très rapidement (pas besoin d'attendre 2 ans)
    C'est comme si j'avais un problème de boîte de vitesse et que tu me conseillerais de changer de marque de bagnole,
    Je rappelle que je n'ai pas de problème avec les autres logiciels (pour le moment).

    Bon, quand j'aurai mis en place le système des machines virtuelles, je la retesterai.
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

Discussions similaires

  1. Réponses: 21
    Dernier message: 12/05/2020, 22h02
  2. [Lazarus] Sortie de la version 2.0.6 de l'EDI multiplateforme Lazarus
    Par gvasseur58 dans le forum Lazarus
    Réponses: 14
    Dernier message: 18/04/2020, 13h06
  3. Réponses: 11
    Dernier message: 31/12/2019, 11h47
  4. Réponses: 1
    Dernier message: 05/02/2017, 10h52
  5. Réponses: 5
    Dernier message: 27/07/2016, 18h25

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo